MSSAccessInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.MSSAccessInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface MSSAccessInfo

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface MSSAccessInfo

extends ManagedElement

Access information for contacting an MSS

Naming Rules:
  0="parent,accessType"
Persistable:
  true
Table Name:
  MSSINFO
Display Name:
  parent,accessType

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccessString()`
`java.lang.String` | `getAccessType()`
`ManagementSoftwareSystem` | `getParent()`
`boolean` | `hasAccessString()`
`boolean` | `hasAccessType()`
`boolean` | `hasParent()`
`void` | `setAccessString(java.lang.String String)`
`void` | `setAccessType(java.lang.String type)`
`void` | `setParent(ManagementSoftwareSystem parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ManagementSoftwareSystem getParent()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="true"

### setParent

    void setParent(ManagementSoftwareSystem parent)

### hasParent

    boolean hasParent()

### getAccessType

    java.lang.String getAccessType()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAccessType

    void setAccessType(java.lang.String type)

### hasAccessType

    boolean hasAccessType()

### getAccessString

    java.lang.String getAccessString()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAccessString

    void setAccessString(java.lang.String String)

### hasAccessString

    boolean hasAccessString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD